#Buff Creaking speed and damage

execute as @e[type=creaking] run attribute @s attack_damage base set 12
execute as @e[type=creaking] run attribute @s movement_speed base set .65

#Petrification Add

scoreboard players set @a[scores={bc.petrification=..-2}] bc.petrification 0

scoreboard players remove @a[scores={bc.petrification=0..},tag=!petrified] bc.petrification 1
execute as @a[advancements={bettercreaking:hitbycreaking=true},tag=!petrified] run scoreboard players add @s bc.petrification 250
advancement revoke @a only bettercreaking:hitbycreaking

#While Petrified

execute as @a[scores={bc.petrification=1000..},tag=!petrified] run title @s title [{"text": ""}]
execute as @a[scores={bc.petrification=1000..},tag=!petrified] run title @s subtitle [{"text": "Petrified","bold": true, "color": "#ff6633"}]
execute as @a[scores={bc.petrification=1000..},tag=!petrified] run damage @s 8 generic by @n[type=creaking]
execute as @a[scores={bc.petrification=1000..},tag=!petrified] run effect give @s blindness 5 2 true
execute at @a[scores={bc.petrification=1000..},tag=!petrified] run playsound entity.zombie_villager.cure player @p ~ ~ ~ 100 1.5
execute as @a[scores={bc.petrification=1000..}] run tag @s add petrified

scoreboard players remove @a[scores={bc.petrification=1..},tag=petrified] bc.petrification 10
execute at @a[tag=petrified,scores={bc.petrification=..1}] run playsound entity.zombie_villager.converted player @p ~ ~ ~ 100 2
execute as @a[tag=petrified,scores={bc.petrification=..1}] run tag @s remove petrified

execute as @a[tag=!petrified] run attribute @s jump_strength base reset
execute as @a[tag=!petrified] run attribute @s movement_speed base reset
execute as @a[tag=!petrified] run attribute @s sneaking_speed base reset
execute as @a[tag=!petrified] run attribute @s knockback_resistance base reset

execute as @a[tag=petrified] run attribute @s jump_strength base set 0
execute as @a[tag=petrified] run attribute @s movement_speed base set 0
execute as @a[tag=petrified] run attribute @s sneaking_speed base set 0
execute as @a[tag=petrified] run attribute @s knockback_resistance base set 100

execute at @a[tag=petrified] run particle dust{color:[0.3,0.3,0.3],scale:1} ~ ~1 ~ 0.3 0.3 0.3 0.05 5

#Petrification Meter

title @a[scores={bc.petrification=0}] actionbar [{"text": "-< ","color": "#ff6633","bold": true},{"text": "","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=1..50}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=51..100}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=101..150}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=151..200}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=201..250}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=251..300}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=301..350}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=351..400}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=401..450}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=451..500}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=501..550}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=551..690}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=601..650}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=651..700}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=701..750}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=751..800}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=801..850}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=851..900}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=901..950}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "||","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=951..1000}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "|||||||||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "|","bold": true,"color": "#ff6633"},{"text": " >-","color": "#ff6633","bold": true}]
title @a[scores={bc.petrification=1000..}] actionbar [{"text": "-< ","color": "dark_gray","bold": true},{"text": "||||||||||||||||||||||||||||||||||||||||","bold": true,"color": "dark_gray"},{"text": "","bold": true,"color": "#ff6633"},{"text": " >-","color": "dark_gray","bold": true}]

#Death Detect

execute as @a[scores={bc.deathdetect=1..}] run scoreboard players set @s bc.petrification -1
execute as @a[scores={bc.deathdetect=1..}] run tag @s remove petrified
scoreboard players set @a bc.deathdetect 0

#Pale Garden Time Skip

execute store result score bc.timeofday bc.petrification run time query daytime
execute if score bc.timewarp? bc.petrification matches 1 as @a at @s if biome ~ ~ ~ pale_garden if score bc.timeofday bc.petrification matches 0..13000 run title @s actionbar [{"text": "Time progresses ","bold": false,"color": "#ff6633"},{"text": "strangely ","bold": true,"color": "dark_gray"},{"text": "in the Garden","bold": false,"color": "#ff6633"}]
execute if score bc.timewarp? bc.petrification matches 1 at @a if biome ~ ~ ~ pale_garden if score bc.timeofday bc.petrification matches 0..13000 run time add 50

execute if score bc.timewarp? bc.petrification matches 1 as @a at @s if biome ~ ~ ~ pale_garden if score bc.timeofday bc.petrification matches 23500..24000 run title @s actionbar [{"text": "Time progresses ","bold": false,"color": "#ff6633"},{"text": "strangely ","bold": true,"color": "dark_gray"},{"text": "in the Garden","bold": false,"color": "#ff6633"}]
execute if score bc.timewarp? bc.petrification matches 1 at @a if biome ~ ~ ~ pale_garden if score bc.timeofday bc.petrification matches 23500..24000 run time add 50

#Stop Sleep in Pale Garden

execute if score bc.timewarp? bc.petrification matches 1 run gamerule playersSleepingPercentage 100
execute if score bc.timewarp? bc.petrification matches 1 as @a at @s if biome ~ ~ ~ pale_garden run gamerule playersSleepingPercentage 101
execute if score bc.timewarp? bc.petrification matches 1 as @a at @s if biome ~ ~ ~ pale_garden as @a[nbt={SleepTimer:1s}] run title @s actionbar [{"text": "The Pale Garden prevents you from resting","color": "#ff6633"}]
